S_CHECK_FOR_INT(3)

FUNCTION
s_check_for_int - Check for queued SIGINTs.

SYNOPSIS
#include <karma_s.h>

flag s_check_for_int

()

DESCRIPTION
This routine will check if there is a queued interrupt (SIGINT) pending. A single pending interrupt is removed from the queue.

RETURN VALUE
TRUE if there is a queued SIGINT, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/